Results 1 to 6 of 6

Thread: Unable to launch junglediskdesktop on openSuSE 13.1

  1. #1

    Default Unable to launch junglediskdesktop on openSuSE 13.1

    Hi,

    I tried to install jungledisk :
    error: Failed dependencies:
    libnotify.so.1()(64bit) is needed by junglediskdesktop-3160-0.x86_64

    This I solved with ignoring dependencies, and after getting :
    junglediskdesktop: error while loading shared libraries: libnotify.so.1: cannot open shared object file: No such file or directory

    I solved this by linking to the existant libnotify... :
    ln -s /usr/lib64/libnotify.so.4.0.0 /usr/lib64/libnotify.so.1

    After managing somehow to install, I am getting :
    zart:~> junglediskdesktop
    Segmentation fault
    I am on a fresh install of openSuSE 13.1 (Bottle) (x86_64) with KDE 4.11.5.
    I also noticed that I get a message in the system log :
    [ 866.459491] junglediskdeskt[3435]: segfault at 40 ip 00007f01c624d4d0 sp 00007fff59986540 error 4 in libc-2.18.so[7f01c6155000+
    1a5000]
    I opened a ticket in JungleDisk support Ticket #132743: Unable to launch junglediskdesktop on openSuSE 13.1
    I got a rediculious answer recently :




    JungleDavid (Jungle Disk Support)

    Apr 27 11:02 AM

    Hello Hanna,
    Thanks for the update!
    We are hoping to release a new version of the management client sometime this year but do not have this set in stone.
    I do apologize for the inconvenience.
    JungleDavid
    Jungle Disk Support



    Can anyone help ?

    Thanks,
    Hanna







  2. #2

    Default Re: Unable to launch junglediskdesktop on openSuSE 13.1

    Quote Originally Posted by hanna_mousa View Post
    Hi,

    I tried to install jungledisk :
    error: Failed dependencies:
    libnotify.so.1()(64bit) is needed by junglediskdesktop-3160-0.x86_64

    ..

    Can anyone help ?

    Thanks,
    Hanna



    No help unfortunately, just a note that the issue still exists in Jan 2015.

    I am considering migrating to duplicity (http://duplicity.nongnu.org/) that works well for me on a server but has no mountable file system.

  3. #3
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Unable to launch junglediskdesktop on openSuSE 13.1

    Hi,

    I tried to install jungledisk :
    error: Failed dependencies:
    libnotify.so.1()(64bit) is needed by junglediskdesktop-3160-0.x86_64

    This I solved with ignoring dependencies
    you can't do that.
    libnotify.so.1 seams to be an extremely old library for openSUSE 11.4
    https://software.opensuse.org/package/libnotify1
    that has been depreciated with libnotify4 for newer openSUSE builds
    you should ask the jungledisk developers to update their build, do they provide a tar ball that can be reconfigured and recompiled?

  4. #4
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Unable to launch junglediskdesktop on openSuSE 13.1

    you could try mega
    https://mega.nz/#sync
    they do have a Linux (openSUSE rpm's too) client, and the free service comes with 50GiB of storage

  5. #5

    Default Re: Unable to launch junglediskdesktop on openSuSE 13.1

    I'm having the same problem. I ran Jungledisk Desktop 3.16 and previous versions for years (now on 13.2) by setting up the symlinks and ignoring the libnotify.so.1 dependency. However, due to what I suspect is my mistake (accidentally deleted parts of my home drive) I get the segfault every time I try to run it. I've tried renaming .jungledisk .junglediskinstance and .com.jungledisk.service.status in the hope that it would run and I'd be able to set it up from scratch but no luck. Not sure where to go from here.

    I really need this to work so I'll update this thread if I find anything useful.

  6. #6

    Default Re: Unable to launch junglediskdesktop on openSuSE 13.1

    Further investigation reveals that it isn't libnotify.so.1 that is the issue. That is no surprise as I've had the symlink to libnotify.so.4 set up for years.

    gdb output suggests that libc.so.6 is the cause of the segmentation fault.

    "Program received signal SIGSEGV, Segmentation fault.
    0xb74e9cd5 in __longjmp_chk () from /lib/libc.so.6"

    I have version 2.19-16.2.5 which as built on 07 Oct 14. It is odd that this is now causing the problem when I've had Jungle Disk working as recently as Jan 15.

    More searching to do.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •